## groovy.text
Class GStringTemplateEngine

    java.lang.Object
      groovy.text.TemplateEngine
          groovy.text.GStringTemplateEngine

    public class GStringTemplateEngine

extends TemplateEngine

Author:
  tug@wilson.co.uk, Paul King

Constructor Summary
`GStringTemplateEngine()`
`GStringTemplateEngine(ClassLoader parentLoader)`

Method Summary
`Template` `createTemplate(Reader reader)`

Methods inherited from class groovy.text.TemplateEngine
`createTemplate, createTemplate, createTemplate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GStringTemplateEngine

    public GStringTemplateEngine()

### GStringTemplateEngine

    public GStringTemplateEngine(ClassLoader parentLoader)

Method Detail

### createTemplate

    public Template createTemplate(Reader reader)
                            throws CompilationFailedException,
                                   ClassNotFoundException,
                                   IOException

  Specified by:
    `createTemplate` in class `TemplateEngine`
  Throws:
    `CompilationFailedException`
    `ClassNotFoundException`
    `IOException`

Copyright © 2003-2008 The Codehaus. All rights reserved.